Name:           libqtxdg
Summary:        QtXdg, a Qt5 implementation of XDG standards
Version:        1.2.0
Release:        2%{?dist}
Group:          Applications/System
License:        LGPLv2+
URL:            https://github.com/lxde/libqtxdg
Source0:        http://downloads.lxqt.org/%{name}/%{version}/%{name}-%{version}.tar.xz

BuildRequires:  cmake >= 2.8.3
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5Help)
BuildRequires:  pkgconfig(QtCore)
BuildRequires:  pkgconfig(QtGui)
BuildRequires:  pkgconfig(QtXml)
BuildRequires:  file-devel
Obsoletes:      libqtxdg-qt5 <= 1.1.0

%description
%{summary}.

%package qt4
Summary:		QtXdg, a Qt4 implementation of XDG standards

%description qt4
%{summary}

%package devel
Summary:        Qt - development files for qtxdg
Obsoletes:      libqtxdg-qt5-devel <= 1.1.0
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
Files used for developing and building software that uses qtxdg.

%package qt4-devel
Summary:        Qt4 - development files for qtxdg
Requires:       %{name}-qt4%{?_isa} = %{version}-%{release}

%description qt4-devel
Files used for developing and building software that uses Qt4 qtxdg.


%prep
%setup -q

%build
mkdir -p %{_target_platform}-qt5
pushd %{_target_platform}-qt5
	%cmake ..
popd
make %{?_smp_mflags} -C %{_target_platform}-qt5

mkdir -p %{_target_platform}-qt4
pushd %{_target_platform}-qt4
	%cmake -DUSE_QT4=BOOL:TRUE -DUSE_QTMIMETYPES=OFF ..
popd
make %{?_smp_mflags} -C %{_target_platform}-qt4

%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}-qt5
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}-qt4

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post qt4 -p /sbin/ldconfig
%postun qt4 -p /sbin/ldconfig

%files 
%doc COPYING AUTHORS
%{_libdir}/libQt5Xdg.so.1*

%files qt4
%doc COPYING AUTHORS
%{_libdir}/libqtxdg.so.1*

%files devel
%{_libdir}/libQt5Xdg.so
%{_libdir}/pkgconfig/Qt5Xdg.pc
%{_includedir}/qt5xdg/
%dir %{_datadir}/cmake/qt5xdg
%{_datadir}/cmake/qt5xdg/*

%files qt4-devel
%{_libdir}/libqtxdg.so
%{_libdir}/pkgconfig/qtxdg.pc
%{_includedir}/qtxdg/
%dir %{_datadir}/cmake/qtxdg
%{_datadir}/cmake/qtxdg/*

%changelog
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Apr 12 2015 Helio Chissini de Castro <helio@kde.org> - 1.2.0-1
- New upstream version

* Wed Feb 18 2015 Helio Chissini de Castro <helio@kde.org> - 1.1.0-4
- Rebuild (gcc5)

* Thu Feb 12 2015 Helio Chissini de Castro <helio@kde.org> - 1.1.0-3
- Restore Qt4 due to maintenance of RazorQt

* Wed Feb 11 2015 Helio Chissini de Castro <helio@kde.org> - 1.1.0-2
- Upstream patch for qiconfix

* Mon Feb 09 2015 Helio Chissini de Castro <helio@kde.org> - 1.1.0-1
- New upstream version 1.1.0
- Only Qt5 now

* Thu Oct 16 2014 Rex Dieter <rdieter@fedoraproject.org> - 1.0.0-1
- libqtxdg-1.0.0, soname bump (#1147204)

* Thu Oct 02 2014 Rex Dieter <rdieter@fedoraproject.org> - 0.5.3-4
- Provide qt4 support (#1147204)
- rename libqtxdg-qt4 -> libqtxdg, libqtxdg-qt4-devel -> libqtxdg to ease/simplify upgrade path
- use %%find_lang for translations
- -devel: drop cmake dep

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun May 11 2014 Lubomir Rintel <lkundrak@v3.sk> - 0.5.3-1
- Update to a later upstream release

* Tue Dec 03 2013 Lubomir Rintel <lkundrak@v3.sk> - 0.5.0-1
- Initial packaging
